package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.CardRuleDto;
import com.qmth.distributed.print.business.entity.BasicCardRule;

import java.util.List;

/**
 * <p>
 * 题卡规则 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicCardRuleService extends IService<BasicCardRule> {

    IPage<CardRuleDto> list(Boolean enable, String name, Long createStartTime, Long createEndTime, Integer pageNumber, Integer pageSize);

    List<BasicCardRule> list(String param);

    boolean enable(BasicCardRule cardRule);

    boolean saveCardRule(BasicCardRule cardRule);
}
